using System.Text.Json;
using System.Text.Json.Serialization;

namespace Gatus.To.MonA.Models;

public record GatusToMonaConfiguration(string Company,
                                       string Directory,
                                       string Helper,
                                       int MillisecondsDelay) {

    public override string ToString() {
        string result = JsonSerializer.Serialize(this, GatusToMonaConfigurationSourceGenerationContext.Default.GatusToMonaConfiguration);
        return result;
    }

}

[JsonSourceGenerationOptions(WriteIndented = true)]
[JsonSerializable(typeof(GatusToMonaConfiguration))]
internal partial class GatusToMonaConfigurationSourceGenerationContext : JsonSerializerContext {
}